import { jsx } from "react/jsx-runtime";
import { TextHFive as TextHFive$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TextHFive = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "TextHFive", ...props, children: /* @__PURE__ */ jsx(TextHFive$1, { weight: variant }) });
  }
);
TextHFive.displayName = "TextHFive";
Object.assign(TextHFive, { isGdsIcon: true });
export {
  TextHFive
};
